Subject: Re: bug#48541: [PATCH] gnu: Fix build for ldc.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 21 May 2021 16:57:01 +0200

Hi!

Roel Janssen <[email-masked]> writes:

> I attached the test suite's logs for the failed tests. The complete log
> can be found in 'build/Testing/Temporary/LastTest.log' of the build
> directory of a failed build.  It is too large to attach though.
>
> The log shows the following:
> ------
> Test runnable/b18504.d failed.  The logged output:
> /tmp/guix-build-ldc-1.10.0.drv-0/build/bin/ldmd2 -conf= -m64 -Irunnable
> -g -g -link-defaultlib-debug  -od../../../../build/dmd-testsuite-
> debug/runnable -of../../../../build/dmd-testsuite-
> debug/runnable/b18504_0  runnable/b18504.d 
> gdb ../../../../build/dmd-testsuite-debug/runnable/b18504_0 --batch -x
> ../../../../build/dmd-testsuite-debug/runnable/b18504_0.gdb
> warning: Could not trace the inferior process.
> warning: ptrace: Operation not permitted
> ../../../../build/dmd-testsuite-debug/runnable/b18504_0.gdb:2: Error in
> sourced command file:
> During startup program exited with code 127.
>
> ------

Interesting.  Looking at ptrace(2), it’s not supposed to fail with EPERM
in the build environment, unless again that’s because of the Yama thing
I mentioned.  What’s the value of /proc/sys/kernel/yama/ptrace_scope on
your build machine?

So I’d say: adjust the comment with a link to
<https://issues.guix.gnu.org/48541>, saying that ptrace(2) fails with
EPERM, and push it.

We can always improve later if/when we find more info.

Thanks,
Ludo’.